[Documentation] [TitleIndex] [WordIndex

As of ROS Electric, the Yamlcpp package has been replaced with a system dependency. Old documentation

From version 0.5, yaml-cpp started using boost as a dependency. If you'd like to continue using the non-boost variant (useful on embedded boards), pull in the yaml-cpp-0-3 ros third party dependency. Note that ubuntu does provide a 0.3 variant, but it cannot be used in parallel. The ros third party dependency namespaces so that you can - see the README.

Starting in ROS Electric, Yamlcpp is installed as a rosdep system dependency. This means that you compile against Yamlcpp without requiring any ROS-specific build tools.

ROS Electric: using the system install

CMakeLists.txt

You need to explicitly link against against the yaml-cpp library:

target_link_libraries(${PROJECT_NAME} yaml-cpp)

Package/stack dependencies

If you have previously used yaml_cpp with ROS, make sure you remove <depend package="yaml_cpp" /> from your manifest.

The yaml-cpp rosdep is defined in the ROS common_rosdeps stack/package. In order to get this rule, you need to edit your manifest.xml and stack.xml as follows:

  1. manifest.xml

  <depend package="common_rosdeps" />

  <rosdep name="yaml-cpp" />
  1. stack.xml

  <depend stack="common_rosdeps" />

External Documentation

Please see the yaml-cpp homepage for documentation.


2019-08-17 13:25